<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCampaignsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: campaigns
         */
        Schema::create('campaigns', function ($table) {
            $table->increments('id');
            $table->string('imp_728_banner', 255)->nullable();
            $table->string('imp_125_banner', 255)->nullable();
            $table->integer('clicks_purchased')->nullable();
            $table->integer('clicks_delivered')->nullable();
            $table->string('ad_status', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('campaigns');
    }
}
