Lavalite package that provides campaign management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/campaign`.

    "litecms/campaign": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Campaign\Providers\CampaignServiceProvider::class,

And also add it to alias

    'Campaign'  => Litecms\Campaign\Facades\Campaign::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\CampaignTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Campaign\Providers\CampaignServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Campaign\Providers\CampaignServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Campaign\Providers\CampaignServiceProvider" --tag="view"


## Usage


